FROM ubuntu:18.04
ARG ZIP

# Install dependencies
RUN apt-get update && apt-get install -y python3.7 \
    python3-pip
RUN apt-get update && apt-get install -y unzip
RUN apt-get update && apt-get install -y build-essential

RUN apt-get update && apt-get install -y libsodium23 libsodium-dev

RUN pip3 install --upgrade pip && \
	pip3 install --pre scapy[basic]

WORKDIR /usr/test

COPY bibifiTests.py .
COPY tests .

COPY $ZIP  . 
RUN sh -c 'unzip -q "Archive.zip"'
RUN mv Archive/* ./
RUN sh -c 'make'

RUN chmod a+wrx atm
RUN chmod a+wrx bank
RUN chmod a+wrx bibifiTests.py
RUN chmod a+wr core

CMD ["python3", "bibifiTests.py"]